function [FPGA, ML] = HistDataLabeling(HistDataFPGA, HistDataML)
% Synch with RT
CutRT = find(diff(HistDataFPGA(1,:))>0,1);
HistDataFPGA(:,1:CutRT) = [];
CutRT = find(diff(HistDataML(1,:))>0,1);
HistDataML(:,1:CutRT) = [];

% LL
FPGA.RT_ItCnt = HistDataFPGA(1, :);
% FPGA.RT_1 = HistDataFPGA(2, :);
FPGA.RT_cntA = HistDataFPGA(3, :);
% FPGA.RT_2 = HistDataFPGA(4, :);
FPGA.RT_cntB = HistDataFPGA(5, :);
FPGA.EmulatedCounter_Diff = FPGA.RT_cntA - FPGA.RT_cntB;

% ML
ML.RT_ItCnt = HistDataML(1, :);
% ML.RT_1 = HistDataML(2, :);
ML.RT_cntA = HistDataML(3, :);
% ML.RT_2 = HistDataML(4, :);
ML.RT_cntB = HistDataML(5, :);
ML.EmulatedCounter_Diff = ML.RT_cntA - ML.RT_cntB;
end